diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index b11199f..7bb54ab 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -122315,10 +122315,12 @@ PlotTools(): Exports == Implementation where
       m
  
     xRange(list:L L Pt) ==
-      select2(list,lo(xRange0(#1)),min) .. select2(list,hi(xRange0(#1)),max)
+      select2(list,(u1:L(Pt)):SF +-> lo(xRange0(u1)),min) _
+         .. select2(list,(v1:L(Pt)):SF +-> hi(xRange0(v1)),max)
  
     yRange(list:L L Pt) ==
-      select2(list,lo(yRange0(#1)),min) .. select2(list,hi(yRange0(#1)),max)
+      select2(list,(u1:L(Pt)):SF +-> lo(yRange0(u1)),min) _
+         .. select2(list,(v1:L(Pt)):SF +-> hi(yRange0(v1)),max)
 
   --%Exported Functions
     calcRanges(llp) ==
diff --git a/changelog b/changelog
index 02b7de7..51c7b3a 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,7 @@
+20090611 tpd src/axiom-website/patches.html 20090611.04.tpd.patch
+20090611 tpd books/bookvol10.4 PLOTTOOL +-> conversion
 20090611 tpd src/axiom-website/patches.html 20090611.03.tpd.patch
+20090611 tpd books/bookvol10.4 PICOERCE +-> conversion
 20090611 tpd books/bookvol10.4 PMDOWN +-> conversion
 20090611 tpd src/axiom-website/patches.html 20090611.02.tpd.patch
 20090611 tpd books/bookvol10.4 PMTOOLS +-> conversion
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0c53a69..fd149a9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1542,6 +1542,8 @@ bookvol10.4 PMPLCAT +-> conversion<br/>
 <a href="patches/20090611.02.tpd.patch">20090611.02.tpd.patch</a>
 bookvol10.4 PMTOOLS +-> conversion<br/>
 <a href="patches/20090611.03.tpd.patch">20090611.03.tpd.patch</a>
-bookvol10.4 PMDOWN +-> conversion<br/>
+bookvol10.4 PMDOWN, PICOERCE +-> conversion<br/>
+<a href="patches/20090611.04.tpd.patch">20090611.04.tpd.patch</a>
+bookvol10.4 PLOTTOOL +-> conversion<br/>
  </body>
 </html>
